package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.RegisterLegalProportion;
import com.lightinit.hsdatashow.entity.RegisterLegalProportionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface RegisterLegalProportionMapper {
    long countByExample(RegisterLegalProportionExample example);

    int deleteByExample(RegisterLegalProportionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RegisterLegalProportion record);

    int insertSelective(RegisterLegalProportion record);

    List<RegisterLegalProportion> selectByExample(RegisterLegalProportionExample example);

    RegisterLegalProportion selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RegisterLegalProportion record, @Param("example") RegisterLegalProportionExample example);

    int updateByExample(@Param("record") RegisterLegalProportion record, @Param("example") RegisterLegalProportionExample example);

    int updateByPrimaryKeySelective(RegisterLegalProportion record);

    int updateByPrimaryKey(RegisterLegalProportion record);

    List<ChartModel> getRegisterLegalPro();
}